#### Previous topic

scipy.linalg.interpolative.seed

#### Next topic

Miscellaneous routines (`scipy.misc`)

# scipy.linalg.interpolative.rand

`scipy.linalg.interpolative.``rand`(*shape)

  Generate standard uniform pseudorandom numbers via a very efficient lagged Fibonacci method.

  This routine is used for all random number generation in this package and can affect ID and SVD results.

  Parameters:

  shape

  > Shape of output array